<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Cleanead
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#main"><?php esc_html_e( 'Skip to content', 'cleanead' ); ?></a>

	<header id="masthead" class="site-header " role="banner">
		<?php if ( has_nav_menu( 'top-menu' ) ) : ?>
		<div class="top-bar">
			<div class="container clearfix">
				<div class="top-left col-md-12">
					<?php if ( has_nav_menu( 'top-menu' ) ) : ?>
					<?php wp_nav_menu( array( 'theme_location' => 'top-menu', 'menu_id' => 'top-menu', 'menu_class' => 'top-menu' ) ); ?>
					<?php endif; ?>
				</div>
			</div>
		</div>
		<?php endif; ?>
		<?php
			$theme_options = cleanead_theme_options();
			$stickyHeader = $theme_options['sticky_header'];
		?>
		<div<?php if ( $stickyHeader == true ) {?> id="sticky"<?php } ?> class="navbar navbar-default navbar-static-top">
			<div class="container">
				<div class="top-left col-md-3">
					<div class="site-branding">
						<?php
							cleanead_header_title();
						?>
					</div><!-- .site-branding -->
				</div>
			<?php if ( has_nav_menu( 'primary' ) ) : ?>
				<div class="top-right col-md-9">
					<?php
						wp_nav_menu( array(
							'menu'              => 'primary',
							'theme_location'    => 'primary',
							'container'         => 'div',
							'menu_id'			=> 'main-menu',
							'container_class'   => 'main-nav',
							'menu_class'        => 'main-menu clearfix'
							)
						);
					?>
				</div>
				<button type="button" class="menu-toggle">
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
				</button>
			<?php endif; ?>
			</div>
		</div><!-- .container -->
		<div id="catcher"></div>
	</header><!-- #masthead -->

	<div id="content" class="site-content">
		<div class="container">
